Title: 1.5.0 | Page 7 of 13 | Developer.WordPress.org

---

# New and updated in 1.5.0

Functions

Hooks

Classes

Methods

 * function[is_feed()](https://developer.wordpress.org/reference/functions/is_feed/)
 * Determines whether the query is for a feed.
 * Used by [7 functions](https://developer.wordpress.org/reference/functions/is_feed/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/functions/is_feed/#uses)
   | Source: [wp-includes/query.php:413](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L413-L422)
 * function[is_home()](https://developer.wordpress.org/reference/functions/is_home/)
 * Determines whether the query is for the blog homepage.
 * Used by [7 functions](https://developer.wordpress.org/reference/functions/is_home/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/functions/is_home/#uses)
   | Source: [wp-includes/query.php:499](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L499-L508)
 * function[is_month()](https://developer.wordpress.org/reference/functions/is_month/)
 * Determines whether the query is for an existing month archive.
 * Used by [3 functions](https://developer.wordpress.org/reference/functions/is_month/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/functions/is_month/#uses)
   | Source: [wp-includes/query.php:553](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L553-L562)
 * function[is_page()](https://developer.wordpress.org/reference/functions/is_page/)
 * Determines whether the query is for an existing single page.
 * Used by [5 functions](https://developer.wordpress.org/reference/functions/is_page/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/functions/is_page/#uses)
   | Source: [wp-includes/query.php:584](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L584-L593)
 * function[get_query_var()](https://developer.wordpress.org/reference/functions/get_query_var/)
 * Retrieves the value of a query variable in the WP_Query class.
 * Used by [33 functions](https://developer.wordpress.org/reference/functions/get_query_var/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/functions/get_query_var/#uses)
   | Source: [wp-includes/query.php:27](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L27-L30)
 * function[query_posts()](https://developer.wordpress.org/reference/functions/query_posts/)
 * Sets up The Loop with query parameters.
 * Used by [0 functions](https://developer.wordpress.org/reference/functions/query_posts/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/functions/query_posts/#uses)
   | Source: [wp-includes/query.php:97](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L97-L100)
 * function[is_archive()](https://developer.wordpress.org/reference/functions/is_archive/)
 * Determines whether the query is for an existing archive page.
 * Used by [3 functions](https://developer.wordpress.org/reference/functions/is_archive/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/functions/is_archive/#uses)
   | Source: [wp-includes/query.php:161](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L161-L170)
 * function[add_query_arg()](https://developer.wordpress.org/reference/functions/add_query_arg/)
 * Retrieves a modified URL query string.
 * Used by [164 functions](https://developer.wordpress.org/reference/functions/add_query_arg/#used-by)
   | Uses [4 functions](https://developer.wordpress.org/reference/functions/add_query_arg/#uses)
   | Source: [wp-includes/functions.php:1144](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/functions.php#L1144-L1210)
 * function[remove_query_arg()](https://developer.wordpress.org/reference/functions/remove_query_arg/)
 * Removes an item or items from a query string.
 * Used by [24 functions](https://developer.wordpress.org/reference/functions/remove_query_arg/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/functions/remove_query_arg/#uses)
   | Source: [wp-includes/functions.php:1225](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/functions.php#L1225-L1233)
 * function[do_enclose()](https://developer.wordpress.org/reference/functions/do_enclose/)
 * Checks content for video and audio links to add as enclosures.
 * Used by [1 function](https://developer.wordpress.org/reference/functions/do_enclose/#used-by)
   | Uses [13 functions](https://developer.wordpress.org/reference/functions/do_enclose/#uses)
   | Source: [wp-includes/functions.php:888](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/functions.php#L888-L978)
 * hook[template_redirect](https://developer.wordpress.org/reference/hooks/template_redirect/)
 * Fires before determining which template to load.
 * Used by [0 functions](https://developer.wordpress.org/reference/hooks/template_redirect/#used-by)
   | Uses [0 functions](https://developer.wordpress.org/reference/hooks/template_redirect/#uses)
   | Source: [wp-includes/template-loader.php:23](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/template-loader.php#L23-L23)
 * hook[category_link](https://developer.wordpress.org/reference/hooks/category_link/)
 * Filters the category link.
 * Used by [1 function](https://developer.wordpress.org/reference/hooks/category_link/#used-by)
   | Uses [0 functions](https://developer.wordpress.org/reference/hooks/category_link/#uses)
   | Source: [wp-includes/taxonomy.php:4800](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/taxonomy.php#L4800-L4800)
 * function[next_post_link()](https://developer.wordpress.org/reference/functions/next_post_link/)
 * Displays the next post link that is adjacent to the current post.
 * Used by [0 functions](https://developer.wordpress.org/reference/functions/next_post_link/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/functions/next_post_link/#uses)
   | Source: [wp-includes/link-template.php:2322](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/link-template.php#L2322-L2324)
 * function[get_pagenum_link()](https://developer.wordpress.org/reference/functions/get_pagenum_link/)
 * Retrieves the link for a page number.
 * Used by [3 functions](https://developer.wordpress.org/reference/functions/get_pagenum_link/#used-by)
   | Uses [13 functions](https://developer.wordpress.org/reference/functions/get_pagenum_link/#uses)
   | Source: [wp-includes/link-template.php:2432](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/link-template.php#L2432-L2505)
 * function[get_previous_post()](https://developer.wordpress.org/reference/functions/get_previous_post/)
 * Retrieves the previous post that is adjacent to the current post.
 * Used by [1 function](https://developer.wordpress.org/reference/functions/get_previous_post/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/functions/get_previous_post/#uses)
   | Source: [wp-includes/link-template.php:1789](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/link-template.php#L1789-L1791)
 * function[get_next_post()](https://developer.wordpress.org/reference/functions/get_next_post/)
 * Retrieves the next post that is adjacent to the current post.
 * Used by [1 function](https://developer.wordpress.org/reference/functions/get_next_post/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/functions/get_next_post/#uses)
   | Source: [wp-includes/link-template.php:1806](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/link-template.php#L1806-L1808)
 * function[previous_post_link()](https://developer.wordpress.org/reference/functions/previous_post_link/)
 * Displays the previous post link that is adjacent to the current post.
 * Used by [0 functions](https://developer.wordpress.org/reference/functions/previous_post_link/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/functions/previous_post_link/#uses)
   | Source: [wp-includes/link-template.php:2285](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/link-template.php#L2285-L2287)
 * hook[month_link](https://developer.wordpress.org/reference/hooks/month_link/)
 * Filters the month archive permalink.
 * Used by [1 function](https://developer.wordpress.org/reference/hooks/month_link/#used-by)
   | Uses [0 functions](https://developer.wordpress.org/reference/hooks/month_link/#uses)
   | Source: [wp-includes/link-template.php:608](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/link-template.php#L608-L608)
 * hook[day_link](https://developer.wordpress.org/reference/hooks/day_link/)
 * Filters the day archive permalink.
 * Used by [1 function](https://developer.wordpress.org/reference/hooks/day_link/#used-by)
   | Uses [0 functions](https://developer.wordpress.org/reference/hooks/day_link/#uses)
   | Source: [wp-includes/link-template.php:655](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/link-template.php#L655-L655)
 * function[get_feed_link()](https://developer.wordpress.org/reference/functions/get_feed_link/)
 * Retrieves the permalink for the feed type.
 * Used by [4 functions](https://developer.wordpress.org/reference/functions/get_feed_link/#used-by)
   | Uses [6 functions](https://developer.wordpress.org/reference/functions/get_feed_link/#uses)
   | Source: [wp-includes/link-template.php:693](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/link-template.php#L693-L733)
 * hook[feed_link](https://developer.wordpress.org/reference/hooks/feed_link/)
 * Filters the feed type permalink.
 * Used by [1 function](https://developer.wordpress.org/reference/hooks/feed_link/#used-by)
   | Uses [0 functions](https://developer.wordpress.org/reference/hooks/feed_link/#uses)
   | Source: [wp-includes/link-template.php:732](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/link-template.php#L732-L732)
 * hook[post_link](https://developer.wordpress.org/reference/hooks/post_link/)
 * Filters the permalink for a post.
 * Used by [1 function](https://developer.wordpress.org/reference/hooks/post_link/#used-by)
   | Uses [0 functions](https://developer.wordpress.org/reference/hooks/post_link/#uses)
   | Source: [wp-includes/link-template.php:308](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/link-template.php#L308-L308)
 * function[get_page_link()](https://developer.wordpress.org/reference/functions/get_page_link/)
 * Retrieves the permalink for the current page or page ID.
 * Used by [1 function](https://developer.wordpress.org/reference/functions/get_page_link/#used-by)
   | Uses [5 functions](https://developer.wordpress.org/reference/functions/get_page_link/#uses)
   | Source: [wp-includes/link-template.php:391](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/link-template.php#L391-L410)
 * hook[page_link](https://developer.wordpress.org/reference/hooks/page_link/)
 * Filters the permalink for a page.
 * Used by [1 function](https://developer.wordpress.org/reference/hooks/page_link/#used-by)
   | Uses [0 functions](https://developer.wordpress.org/reference/hooks/page_link/#uses)
   | Source: [wp-includes/link-template.php:409](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/link-template.php#L409-L409)
 * function[get_year_link()](https://developer.wordpress.org/reference/functions/get_year_link/)
 * Retrieves the permalink for the year archives.
 * Used by [2 functions](https://developer.wordpress.org/reference/functions/get_year_link/#used-by)
   | Uses [5 functions](https://developer.wordpress.org/reference/functions/get_year_link/#uses)
   | Source: [wp-includes/link-template.php:547](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/link-template.php#L547-L569)
 * hook[year_link](https://developer.wordpress.org/reference/hooks/year_link/)
 * Filters the year archive permalink.
 * Used by [1 function](https://developer.wordpress.org/reference/hooks/year_link/#used-by)
   | Uses [0 functions](https://developer.wordpress.org/reference/hooks/year_link/#uses)
   | Source: [wp-includes/link-template.php:568](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/link-template.php#L568-L568)
 * hook[the_permalink](https://developer.wordpress.org/reference/hooks/the_permalink/)
 * Filters the display of the permalink for the current post.
 * Used by [2 functions](https://developer.wordpress.org/reference/hooks/the_permalink/#used-by)
   | Uses [0 functions](https://developer.wordpress.org/reference/hooks/the_permalink/#uses)
   | Source: [wp-includes/link-template.php:27](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/link-template.php#L27-L27)
 * function[plugin_basename()](https://developer.wordpress.org/reference/functions/plugin_basename/)
 * Gets the basename of a plugin.
 * Used by [21 functions](https://developer.wordpress.org/reference/functions/plugin_basename/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/functions/plugin_basename/#uses)
   | Source: [wp-includes/plugin.php:776](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/plugin.php#L776-L797)
 * hook[comment_text_rss](https://developer.wordpress.org/reference/hooks/comment_text_rss/)
 * Filters the current comment content for use in a feed.
 * Used by [1 function](https://developer.wordpress.org/reference/hooks/comment_text_rss/#used-by)
   | Uses [0 functions](https://developer.wordpress.org/reference/hooks/comment_text_rss/#uses)
   | Source: [wp-includes/feed.php:365](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/feed.php#L365-L365)
 * function[rss_enclosure()](https://developer.wordpress.org/reference/functions/rss_enclosure/)
 * Displays the rss enclosure for the current post.
 * Used by [0 functions](https://developer.wordpress.org/reference/functions/rss_enclosure/#used-by)
   | Uses [6 functions](https://developer.wordpress.org/reference/functions/rss_enclosure/#uses)
   | Source: [wp-includes/feed.php:475](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/feed.php#L475-L504)

 [Previous Page](https://developer.wordpress.org/reference/since/1.5.0/page/6/?output_format=md)

[1](https://developer.wordpress.org/reference/since/1.5.0/?output_format=md) … [5](https://developer.wordpress.org/reference/since/1.5.0/page/5/?output_format=md)
[6](https://developer.wordpress.org/reference/since/1.5.0/page/6/?output_format=md)
7 [8](https://developer.wordpress.org/reference/since/1.5.0/page/8/?output_format=md)
[9](https://developer.wordpress.org/reference/since/1.5.0/page/9/?output_format=md)…
[13](https://developer.wordpress.org/reference/since/1.5.0/page/13/?output_format=md)

 [Next Page](https://developer.wordpress.org/reference/since/1.5.0/page/8/?output_format=md)